org.openstreetmap.josm.plugins.streetside.oauth

## Class StreetsideUser

- java.lang.Object
- - org.openstreetmap.josm.plugins.streetside.oauth.StreetsideUser

-     public final class StreetsideUser
      extends java.lang.Object

  Represents the current logged in user and stores its data.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private static java.lang.String` | `imagesHash`
    `private static java.lang.String` | `imagesPolicy`
    `private static boolean` | `isTokenValid` If the stored token is valid or not.
    `private static java.lang.String` | `username`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `private` | `StreetsideUser()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static java.util.Map<java.lang.String,java.lang.String>` | `getSecrets()`
    `static java.lang.String` | `getUsername()`
    `static void` | `reset()` Resets the MapillaryUser to null values.
    `static void` | `setTokenValid(boolean value)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### username

          private static java.lang.String username

    - #### imagesPolicy

          private static java.lang.String imagesPolicy

    - #### imagesHash

          private static java.lang.String imagesHash

    - #### isTokenValid

          private static boolean isTokenValid

      If the stored token is valid or not.

  - ### Constructor Detail

    - #### StreetsideUser

          private StreetsideUser()

  - ### Method Detail

    - #### getUsername

          public static java.lang.String getUsername()

      Returns:
        The username of the logged in user.

    - #### getSecrets

          public static java.util.Map<java.lang.String,java.lang.String> getSecrets()

      Returns:
        A HashMap object containing the images_policy and images_hash strings.

    - #### reset

          public static void reset()

      Resets the MapillaryUser to null values.

    - #### setTokenValid

          public static void setTokenValid(boolean value)

JOSM Plugins